> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get card information

> Retrieve card information based on the initial 9 digits (card BIN) of the card number.



## OpenAPI

````yaml get /payments/card-info
openapi: 3.1.0
info:
  version: '1.0'
  title: CE Storefront APIs
  summary: Customer-facing e-commerce API for building exceptional shopping experiences
  description: >-
    Public-facing API for Commerce Engine storefronts, enabling seamless
    shopping experiences with product browsing, cart management, checkout
    processing, user accounts, and order tracking. Perfect for building web,
    mobile, and headless commerce applications.
  contact:
    name: Support
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
  license:
    url: https://www.commercengine.io/contact-us
    name: All Rights Reserved
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security: []
tags:
  - name: Analytics
    description: Analytics
  - name: Auth
    description: auth
  - name: Campaigns
    description: Campaigns
  - name: Carts
    description: Carts
  - name: Catalog
    description: Catalog
  - name: Common
    description: Common
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Juspay
    description: Juspay Payments
  - name: KYC
    description: KYC
  - name: Marketplace
    description: Marketplace
  - name: Orders
    description: Orders
  - name: Others
    description: Others
  - name: Payments
    description: Payments
  - name: PayU
    description: PayU Payments
  - name: POS
    description: POS
  - name: Shipping
    description: Shipping
  - name: Store
    description: Store
  - name: Subscriptions
    description: Subscriptions
externalDocs:
  url: https://llm-docs.commercengine.io
  description: Commerce Engine API Reference Documentation
paths:
  /payments/card-info:
    get:
      tags:
        - Payments
      summary: Get card information
      description: >-
        Retrieve card information based on the initial 9 digits (card BIN) of
        the card number.
      operationId: get-card-info
      parameters:
        - name: cardbin
          in: query
          description: Initial 9 digits of card number (card BIN)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - success
                  - content
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      card_info:
                        $ref: '#/components/schemas/CardbinInfo'
                    required:
                      - card_info
                    type: object
          links:
            CreateOrderWithCard:
              operationId: create-order
              description: >-
                Create an order using card payment. Use `card_info.brand` to
                select the `payment_method` and match a `gateway_reference_id`
                from `list-payment-methods`.
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - Authorization: []
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/operations/get-card-info
        description: API reference for the get-card-info operation
components:
  schemas:
    CardbinInfo:
      title: CardbinInfo
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/CardbinInfo
        description: API reference for the CardbinInfo schema
      required:
        - card_sub_type
        - extended_card_type
        - country
        - cvv_less_support
        - bank
        - id
        - mandate_support
        - brand
        - card_sub_type_category
        - juspay_bank_code
        - type
        - country_code
        - object
        - direct_otp_support
      properties:
        card_sub_type:
          type: string
        extended_card_type:
          type: string
        country:
          type: string
        cvv_less_support:
          type: boolean
        bank:
          type: string
        id:
          type: string
        mandate_support:
          type: boolean
        brand:
          type: string
        card_sub_type_category:
          type: string
        juspay_bank_code:
          type: string
        type:
          type: string
        country_code:
          type: string
        object:
          type: string
        direct_otp_support:
          type: boolean
      examples: []
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
              error:
                type: object
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                examples:
                  - Not authorized for given operation on the Resource.
                x-speakeasy-error-message: true
              success:
                type: boolean
                default: false
              code:
                type: string
                examples:
                  - unauthorized
    NotFound:
      description: Requested resource not found
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
  securitySchemes:
    Authorization:
      type: http
      description: Access token
      scheme: bearer

````